INTERFACE
SUBROUTINE PREINTAD(KDLEN,KLEN,KSET,&
 & PRESH,PRESF,PGEOPH,PGEOPF,&
 & PXP,PXPD,PXZ,PXZD,PCP,PRF,PKAP,&
 & PUF,PVF,PTF,PQF,PO3F,PCLWF,PCIWF,PCCF,&
 & PTSTAR,PT0,&
 & PDELP,PRDELP,PLNPR,PALPH,PRTGR,&
 & PRPRE,PRPP,&
 & PRESH5,PRESF5,&
 & PXP5,PXZ5,PCP5,PRF5,PTF5,&
 & PDELP5,PRDELP5,PLNPR5,PALPH5,&
 & PRPRE5,PRPP5,YDGEMSPROF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPPM
USE YOMDB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOPH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOPF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXP(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PXPD(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXZ(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PXZD(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKAP(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3F(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLWF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCIWF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSTAR(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT0(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPR(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPH(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTGR(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRPRE(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRPP(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXP5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PXZ5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRE5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPP5(KDLEN,NFLEVG)
TYPE (TYPE_GEMSPROF), INTENT(IN), OPTIONAL :: YDGEMSPROF(KDLEN,NGEMS)
END SUBROUTINE PREINTAD
END INTERFACE
